Subject: bug#18612: closed (Re: non-portable shell substitution in configure.ac)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 02 Oct 2014 22:34:02 +0000

Your bug report

#18612: non-portable shell substitution in configure.ac

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18612: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18612
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: non-portable shell substitution in configure.ac
From: Paul Eggert <[email-masked]>
To: [email-masked]
Date: Thu, 02 Oct 2014 15:33:17 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Unfortunately POSIX doesn't allow that construction, even in non-executed code, 
so a strict shell is within its rights to reject it.  I installed a simple and 
localized workaround as emacs-24 bzr 117537.

Subject: Re: [platform-testers] Emacs pretest 24.3.94
From: Assaf Gordon <[email-masked]>
To: [email-masked]
Date: Thu, 02 Oct 2014 15:22:41 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On 10/01/2014 09:13 PM, Glenn Morris wrote:
> The next (and hopefully final) pretest for what will be the 24.4 release
> of Emacs (the extensible text editor) is available at
>
>    ftp://alpha.gnu.org/gnu/emacs/pretest/emacs-24.3.94.tar.xz
>
> Please give it as much testing as you can.

I tested it on few systems, builds OK on all the followings (amd64, with only curses support, no X):
   Debian 7.6
   gNewSense 3.1 (based on Debian 6)
   Ubuntu 14.04.1
   Trisquel 6.0.1 (based on Ubuntu 12.04 LTS)
   OpenSUSE 13.1
   CentOS 6.5
   CentOS 7
   FreeBSD 10
   FreeBSD 9.3
   OpenBSD 5.5
   NetBSD 6.1.4
   DilOS 1.3.7 (OpenSolaris/Illumos-based)
   GNU Hurd/Debian 0.5 (i386)

"./configure" fails on MINIX R3.3.0/i386, but MINIX is not officially supported.

On thing I noticed, is that "configure.ac" (and thus "./configure")
has the following statement (line 38):
     srcdir="/${srcdir:0:1}${srcdir:2}"

I believe these are bash-specific variable expansions, not posix-compatible.

This appears in an MINGW-related "if" block, so I guess most of the time it is not encountered.
But in one instance, I got:
     $ ./configure
     ./configure: 3564: Syntax error: Bad substitution

Regards,
  - Assaf